Rhino.ExtrudeCurve expects a single curve. To extrude multiple curves, you might try using the method in a loop and extrude each of the curves:
Option Explicit
Call Main()
Sub Main()
Dim arrObjects, strObject, strPath
arrObjects = Rhino.GetObjects("Select curves to extrude", 4, False, True)
If IsNull(arrObjects) Then Exit Sub
strPath = Rhino.AddLine(Array(0, 0, 0), Array(0, 0, 10))
For Each strObject In arrObjects
Rhino.ExtrudeCurve strObject, strPath
Next
End Sub
As your strPath is just a straight line , you can also use Rhino.ExtrudeCurveStraight to avoid this line construction.
Option Explicit
Call Main()
Sub Main()
Dim arrObjects, strObject
arrObjects = Rhino.GetObjects("Select curves to extrude", 4, False, True)
If IsNull(arrObjects) Then Exit Sub
Rhino.EnableRedraw(False)
For Each strObject In arrObjects
Rhino.ExtrudeCurveStraight strObject, Array(0, 0, 0), Array(0, 0, 10)
Next
Rhino.EnableRedraw(True)
End Sub